> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canary.effectiveai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List catalog filings

> Live keyset pagination across all catalog dates. Repeated filters use OR; distinct filters use AND.



## OpenAPI

````yaml /openapi.json get /filings
openapi: 3.0.3
info:
  title: Effective API
  version: 2.0.0
  description: The public Effective REST API. Authenticate using an Effective API key.
servers:
  - url: https://canary.effectiveai.app/api/v2
    description: Canary
security:
  - bearerAuth: []
paths:
  /filings:
    get:
      tags:
        - Filings
      summary: List catalog filings
      description: >-
        Live keyset pagination across all catalog dates. Repeated filters use
        OR; distinct filters use AND.
      operationId: listFilings
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
          required: false
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 128
          required: false
          name: cursor
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
          required: false
          name: carrier
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
          required: false
          name: group
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
                pattern: ^[a-zA-Z]{2}$
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                  pattern: ^[a-zA-Z]{2}$
                minItems: 1
                maxItems: 50
          required: false
          name: state
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - serff
                  - florida_irfs
              - type: array
                items:
                  type: string
                  enum:
                    - serff
                    - florida_irfs
                minItems: 1
                maxItems: 50
          required: false
          name: source
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
            description: Exact native references (OR). Requires exactly one source.
          required: false
          description: Exact native references (OR). Requires exactly one source.
          name: sourceReference
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
            description: Exact case-sensitive company names (OR).
          required: false
          description: Exact case-sensitive company names (OR).
          name: companyName
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 200
            description: Case-insensitive substring of the company name.
          required: false
          description: Case-insensitive substring of the company name.
          name: companyNameContains
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
            description: Exact case-sensitive product names (OR).
          required: false
          description: Exact case-sensitive product names (OR).
          name: productName
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 200
            description: Case-insensitive substring of the product name.
          required: false
          description: Case-insensitive substring of the product name.
          name: productNameContains
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
          required: false
          name: businessType
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - APPROVED
                  - FILED
                  - ACKNOWLEDGED
                  - INFORMATIONAL
                  - REJECTED
                  - WITHDRAWN
                  - PENDING
                  - UNKNOWN
              - type: array
                items:
                  type: string
                  enum:
                    - APPROVED
                    - FILED
                    - ACKNOWLEDGED
                    - INFORMATIONAL
                    - REJECTED
                    - WITHDRAWN
                    - PENDING
                    - UNKNOWN
                minItems: 1
                maxItems: 50
          required: false
          name: normalizedOutcome
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - FORM
                  - RATE
                  - RULE
                  - RATE_RULE
                  - FORM_RATE
                  - FORM_RULE
                  - FORM_RATE_RULE
                  - ENDORSEMENT
                  - LOSS_COST
                  - ADVERTISING
                  - CERTIFICATION
                  - CONTRACT
                  - CONSENT_TO_RATE
                  - DEVIATIONS
                  - INFORMATIONAL
                  - NEW_PROGRAM
                  - REPORT
                  - SERVICE_CONTRACT
                  - UNDERWRITING_GUIDE
                  - ANNUAL_FORMS_LIST
                  - MANUSCRIPT
                  - POLICY_FORM
                  - PREDICTIVE_MODEL
                  - ORGANIZATION_ADOPTION
                  - OTHER
              - type: array
                items:
                  type: string
                  enum:
                    - FORM
                    - RATE
                    - RULE
                    - RATE_RULE
                    - FORM_RATE
                    - FORM_RULE
                    - FORM_RATE_RULE
                    - ENDORSEMENT
                    - LOSS_COST
                    - ADVERTISING
                    - CERTIFICATION
                    - CONTRACT
                    - CONSENT_TO_RATE
                    - DEVIATIONS
                    - INFORMATIONAL
                    - NEW_PROGRAM
                    - REPORT
                    - SERVICE_CONTRACT
                    - UNDERWRITING_GUIDE
                    - ANNUAL_FORMS_LIST
                    - MANUSCRIPT
                    - POLICY_FORM
                    - PREDICTIVE_MODEL
                    - ORGANIZATION_ADOPTION
                    - OTHER
                minItems: 1
                maxItems: 50
          required: false
          name: filingTypeNormalized
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
            description: >-
              Exclude filings containing any supplied carrier. Filings with
              unknown (null) carrier codes are not returned.
          required: false
          description: >-
            Exclude filings containing any supplied carrier. Filings with
            unknown (null) carrier codes are not returned.
          name: excludeCarrier
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: stateStatusChangedDateFrom
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: stateStatusChangedDateTo
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 20
                pattern: ^\d+(?:\.\d+)*$
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 20
                  pattern: ^\d+(?:\.\d+)*$
                minItems: 1
                maxItems: 50
          required: false
          name: toi
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 20
                pattern: ^\d+(?:\.\d+)*$
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 20
                  pattern: ^\d+(?:\.\d+)*$
                minItems: 1
                maxItems: 50
          required: false
          name: subToi
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
          required: false
          name: filingType
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 200
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 200
                minItems: 1
                maxItems: 50
          required: false
          name: sourceStatus
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: submissionDateFrom
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: submissionDateTo
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: dispositionDateFrom
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: dispositionDateTo
          in: query
        - schema:
            type: string
            enum:
              - '-submissionDate'
              - submissionDate
            default: '-submissionDate'
          required: false
          name: sort
          in: query
      responses:
        '200':
          description: A page of filings.
          content:
            application/json:
              schema:
                type: object
                properties:
                  filings:
                    type: array
                    items:
                      $ref: '#/components/schemas/V2FilingSummary'
                  nextCursor:
                    type: string
                    nullable: true
                required:
                  - filings
                  - nextCursor
        '400':
          description: Invalid request or cursor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '403':
          description: Operation forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '404':
          description: Filing or root not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '409':
          description: Inventory exceeds traversal limits.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '503':
          description: Dependency unavailable. Retry-After is in seconds.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
      security:
        - bearerAuth: []
components:
  schemas:
    V2FilingSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        source:
          type: string
        sourceReference:
          type: string
        state:
          type: string
        companyName:
          type: string
          nullable: true
        carrierIds:
          type: array
          nullable: true
          items:
            type: string
        groupId:
          type: string
          nullable: true
        productName:
          type: string
          nullable: true
        typeOfInsurance:
          type: string
          nullable: true
        subTypeOfInsurance:
          type: string
          nullable: true
        toiCode:
          type: string
          nullable: true
        subToiCode:
          type: string
          nullable: true
        filingType:
          type: string
          nullable: true
        sourceStatus:
          type: string
          nullable: true
        submissionDate:
          type: string
          nullable: true
          format: date
        dispositionDate:
          type: string
          nullable: true
          format: date
      required:
        - id
        - source
        - sourceReference
        - state
        - companyName
        - carrierIds
        - groupId
        - productName
        - typeOfInsurance
        - subTypeOfInsurance
        - toiCode
        - subToiCode
        - filingType
        - sourceStatus
        - submissionDate
        - dispositionDate
    V2CodedError:
      allOf:
        - $ref: '#/components/schemas/V2Error'
        - type: object
          properties:
            code:
              type: string
              minLength: 1
              description: Stable error code. Clients must tolerate unknown future codes.
            details:
              type: array
              items:
                type: object
                properties:
                  location:
                    type: string
                    enum:
                      - path
                      - query
                      - header
                      - body
                  path:
                    type: array
                    items:
                      type: string
                      maxLength: 64
                    maxItems: 12
                  code:
                    type: string
                    enum:
                      - required
                      - invalid_type
                      - invalid_value
                      - unknown_field
                  message:
                    type: string
                    minLength: 1
                    maxLength: 200
                required:
                  - location
                  - path
                  - code
                  - message
              minItems: 1
              maxItems: 20
              description: Bounded safe validation issues; may omit some invalid fields.
            requestId:
              type: string
              minLength: 1
              maxLength: 128
              description: >-
                Existing server correlation for this HTTP attempt, when
                available.
          required:
            - code
    V2Error:
      type: object
      properties:
        error:
          type: string
          minLength: 1
          description: Human-readable explanation of the failure.
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Effective API key. Send Authorization: Bearer sk-eai-...'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.